[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResources.CacheData

Controls the copy-on-write behaviour of all resources

## Declaration

Source position: resource.pp line 279

`public property TResources.CacheData : Boolean read fCacheData write SetCacheData;`

## Description

Changing this property changes CacheData property of all resources contained in the object.

This property affects existing resources and resources that are added or loaded.

By default, CacheData is true.

## See also

TAbstractResource.CacheData |  | Controls the copy-on-write behaviour of the resource
TAbstractResource.RawData |  | The raw resource data stream